if(!isObject(MusicDetector))
{
	exec( "./MusicDetector.gui" );
}

function MD_fetchList()
{
	MusicDetector_List.clear();
	MusicDetector_List.length = 0;
	
	%server = ServerConnection;
	
	if(!isObject(%server))
	{
		error("MD_fetchList(): No server found");
		return;
	}
	
	for(%a = 0; %a < %server.getCount(); %a++)
	{
		%obj = %server.getObject(%a);
		if(%obj.getClassName() $= "AudioEmitter")
		{
			%profile = %obj.getProfileID();
			if(%profile.uiName !$= "")
			{
				MusicDetector_List.addRow(MusicDetector_List.length, %profile.uiName TAB %obj.getPosition());
				MusicDetector_List.length++;
			}
		}
	}
	
	if(MusicDetector_List.length < 1)
	{
		MessageBoxOK("Music Detector", "No music detected.");
		return;
	}
	
	Canvas.pushDialog(MusicDetector);
}

if(isPackage(MusicDetect))
{
	deactivatePackage(MusicDetect);
}

package MusicDetect
{
	function NMH_Type::send(%this)
	{
		if(%this.getValue() $= "/detectmusic")
		{
			MD_fetchList();
		}
		
		Parent::send(%this);
	}
};

activatePackage(MusicDetect);